<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Button - jQuery UI</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <script src="../../static/jquery/jquery-ui.js"></script>
    <link href="../../static/jquery/jquery-ui.css" rel="stylesheet">
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div class="content">
        <div id="console" class="console">
        </div>
    </div>
    <script>
        var result;
        $(function() {
            $console = $('#console');
	    var URL = "http://10.1.16.173:8080/HNCBMobileWeb/MBGW/card/CardStagingHome.jsp?WFID=WFID21116&cardType=creditCard";
	    var sContextRoot = '/HNCBMobileWeb';	
            var initPageView = function(){
                parseParam();
	    }

	    var parseGetParamSignal = function(){
	        if(URL.indexOf('WFID') != -1){
	            var startIndex = URL.indexOf('WFID=') + 5;
		    var endIndex = URL.indexOf('&', startIndex);
		    var wfid = URL.substring(startIndex,endIndex);
	            $console.html(wfid);
	        }
	    }
		var parseGetParamAll = function(){
	            var startIndex = URL.indexOf(sContextRoot) + sContextRoot.length;
		    var endIndex = URL.length;
                    var all = URL.substring(startIndex,endIndex);
	            $console.html(all);
		}

		var parseParam = function(){
	            var startIndex = URL.indexOf('?') + 1;
		    var endIndex = URL.length;
                    var param = URL.substring(startIndex,endIndex);
	            $console.html(param);
		}
	    initPageView();
        });
    </script>
</body>

</html>
